IDA SDK

- Main Page
- Header Files
- Classes
- Modules

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | Public Member Functions | Friends | List of all members
area_t Struct Reference

## Detailed Description

Base class for an area.

This class is used as a base class for a class with real information - see segment.hpp for example. The end address points beyond the area.

Inherited by func_t, hidden_area_t, memory_info_t, regvar_t, segment_t, and segreg_area_t.

## Public Attributes
ea_t | startEA
| startEA included
ea_t | endEA
| endEA excluded

## Public Member Functions
| area_t (void)
| Constructor.
| area_t (ea_t ea1, ea_t ea2)
| Constructor.
int | compare (const area_t &r) const
| Compare two area_t instances, based on the startEA.
bool | operator== (const area_t &r) const
| Compare two area_t's with '=='.
bool | operator!= (const area_t &r) const
| Compare two area_t's with '!='.
bool | operator> (const area_t &r) const
| Compare two area_t's with '<'.
bool | operator< (const area_t &r) const
| Compare two area_t's with '>'.
bool | contains (ea_t ea) const
| Is 'ea' in the address range?
bool | contains (const area_t &r) const
| Is every ea in 'r' also in this area_t?
bool | overlaps (const area_t &r) const
| Is there an ea in 'r' that is also in this area_t?
void | clear (void)
| Set startEA, endEA to 0.
bool | empty (void) const
| Is the size of the area_t <= 0?
asize_t | size (void) const
| Get endEA - startEA.
void | intersect (const area_t &r)
| Assign the area_t to the intersection between the area_t and 'r'.
void | extend (ea_t ea)
| Ensure that the area_t includes 'ea'.
size_t | print (char *buf, size_t bufsize) const
| Print the area_t. More...

## Friends
size_t ida_export | area_t_print (const area_t *cb, char *buf, size_t bufsize)
| Helper function. Should not be called directly!

## Member Function Documentation

size_t area_t::print | ( | char * | buf,
|  | size_t | bufsize
| ) |  | const
| inline

Print the area_t.

Parameters

  buf | the output buffer
  bufsize | the size of the buffer

The documentation for this struct was generated from the following file:

- area.hpp